Clone an environment
POST https://manage.kontent.ai/v2/projects/:environment_id/clone-environment
Create a clone of an existing environment. We recommend you work with the new environment after the cloning is finished. Check the environment's cloning progress using API to know when the new environment is ready.
By default, the environment is cloned in full. Optionally, you can omit content items and assets, or just the item version history.
The new environment is accessible to project managers and the person who initiated the cloning process. You can specify more roles when initiating the cloning.
Request Body
{"name"=>"<string>", "roles_to_activate"=>[{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, {"value"=>"<Error: Too many levels of nesting to fake this schema>"}], "copy_data_options"=>{"content_items_assets"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}, "content_item_version_history"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}}}
HEADERS
| Key | Datatype | Required | Description |
|---|---|---|---|
Content-Type | string | ||
Accept | string |
RESPONSES
status: OK
{"id":"71386f85-cddb-4cb0-aa54-988566feb9a1","management_api_key":"ey..."}